{ pkgs, config, lib, ... }: let
  modifier = "SUPER";
in {
  xdg.configFile."hypr/hyprland.conf".text = ''
    
    general {
      gaps_in = 0
      gaps_out = -1
      border_size = 0
      layout = master
    }
    
    input {
      kb_layout = de
      accel_profile = flat
      follow_mouse = 1
      mouse_refocus = 0
      sensitivity = 0
      touchpad {
        natural_scroll = yes
        disable_while_typing = no
      }
      repeat_rate = 50
      repeat_delay = 300
    }

    master {
      new_is_master = no
      new_on_top = no
      mfact = 0.65
      special_scale_factor = 1
    }



    $SUPER = ${modifier};
    bind = $SUPER, Q, exec, kitty
    bind = $SUPER, F, exec, librewolf
  '';
}
